GET /v2/api/stocktriggers

List sku_warehouse_settings for an account. Optionally filter by warehouseId or sku_id.

Query parameters

  • page integer

    Page Number

    Minimum value is 1. Default value is 1.

  • pageSize integer

    Page Size

    Default value is 10.

  • warehouseId string

    Filter by warehouse UUID, repeatable (e.g. ?warehouseId=x&warehouseId=y)

  • sku_id string

    Filter by sku ID, repeatable (e.g. ?sku_id=1&sku_id=2)

  • key string

    Filter by SKU key, repeatable (e.g. ?key=abc&key=def)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • allowMaxAuto boolean
    • allowMinAuto boolean
    • id integer
    • key string
    • lastRestockDate string
    • lowerLimit integer
    • max integer
    • min integer
    • minMaxSource string
    • minMaxUpdatedAt string
    • preventRestock boolean
    • season string
    • sku string
    • skuID integer
    • startDate string
    • upperLimit integer
    • warehouseExternalId string
    • warehouseID string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/stocktriggers
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/stocktriggers'
Response examples (200)
[
  {
    "allowMaxAuto": true,
    "allowMinAuto": true,
    "id": 42,
    "key": "string",
    "lastRestockDate": "string",
    "lowerLimit": 42,
    "max": 42,
    "min": 42,
    "minMaxSource": "string",
    "minMaxUpdatedAt": "string",
    "preventRestock": true,
    "season": "string",
    "sku": "string",
    "skuID": 42,
    "startDate": "string",
    "upperLimit": 42,
    "warehouseExternalId": "string",
    "warehouseID": "string"
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}